/*
 * MainActor/2 installation program, (c) 1996 by MainConcept, GbR
 */

mv2assoc = ';ASSOCFILTER=*.AVI,*.MOV,*.FLI,*.FLC,*.PCX,*.IFF,*.DL'

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

say "Creating MainActor/2 folder and objects on desktop ..."

current = directory()

/* Create MainActor/2 folder */

rc = stream('ma2fldr.ico','c','query exists')
title="MainActor/2"
classname='WPFOLDER'
location='<WP_DESKTOP>'
setup='OBJECTID=<MA/2_Folder>;OPEN=DEFAULT'
if rc \= '' then setup = setup';ICONFILE='rc
result=SysCreateObject(classname,title,location,setup,replace)

/* Creating MainActor/2 object */

title = "MainActor/2"
classname = 'WPProgram'
location = '<MA/2_Folder>'
setup = 'OBJECTID=<MA/2>;EXENAME='current'\MActr.EXE;STARTUPDIR='current
result=SysCreateObject(classname,title,location,setup,replace)

/* Creating MainView/2 object */

title = "MainView/2"
classname = 'WPProgram'
location = '<MA/2_Folder>'
setup = 'OBJECTID=<MAVIEW/2>;EXENAME='current'\mainview.exe;STARTUPDIR='current''mv2assoc
result=SysCreateObject(classname,title,location,setup,replace)

/* Create the ModulePath Entry in the User Ini */

SysIni('USER', 'MainView/2', 'ModulePath', current)

/* Creating MainActor/2 documentation object */

title = "MainActor/2 Documentation"
classname = 'WPProgram'
location = '<MA/2_Folder>'
setup = 'OBJECTID=<MADOCU/2>;EXENAME=view.exe;PARAMETERS='current'\MActr.inf'
result=SysCreateObject(classname,title,location,setup,replace)

